Package com.logicaldoc.core.security.authentication

# Class PasswordWeakException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.logicaldoc.core.security.authentication.AuthenticationException
com.logicaldoc.core.security.authentication.PasswordWeakException

All Implemented Interfaces:
  `Serializable`

public class PasswordWeakException extends AuthenticationException
Raised when you try to change or use a password that is too weak

Since:
  8.8.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PasswordWeakException()`
`PasswordWeakException(List<String> messages)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`List<String>`
`getMessages()`
`boolean`
`mustRecordFailure()`

### Methods inherited from class com.logicaldoc.core.security.authentication.AuthenticationException

`getAuthenticator, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PasswordWeakException

public PasswordWeakException(List<String> messages)

### PasswordWeakException

public PasswordWeakException()

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### mustRecordFailure

public boolean mustRecordFailure()

Overrides:
  `mustRecordFailure` in class `AuthenticationException`

### getMessages

public List<String> getMessages()